/*
 * Copyright (C) Xi'an Sietium Electronics Co.Ltd
 *
 * This software is licensed under the terms of the GNU General Public
 * License version 2, as published by the Free Software Foundation, and
 * may be copied, distributed, and modified under those terms.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */
#ifndef __GB_SND_CODEC_H__
#define __GB_SND_CODEC_H__
#include <linux/platform_device.h>
#include "i2s_platform.h"

#define GB02MAC710	4
#define GB02MAC712	256
#define GB02MAC714	16000
#define GB02MAC717	48000
#define GB02MAC720	(4096)
#define GB02MAC723	(256)
#define GB02MAC726	(4096)
#define GB02MAC728	(32 * 1024)

#define GB02MAC731	(192 * 4)
#define GB02MAC734	32768
#define GB02MAC736	4

/* Sample index defination depends on IEC60958-3@1999 */
#define GB02MAC740                    1
#define GB02MAC743                   2
#define GB02MAC746                5
#define GB02MAC749               6
#define GB02MAC752                    41
#define GB02MAC755                   44
#define GB02MAC758   49
#define GB02MAC761  50
#define GB02MAC764   51
#define GB02MAC766  52
#define GB02MAC769   53
#define GB02MAC772  54
#define GB02MAC775   55
#define GB02MAC777  56
#define GB02MAC780   65
#define GB02MAC783  66
#define GB02MAC786         67
#define GB02MAC789        68
#define GB02MAC792         69
#define GB02MAC796        70
#define GB02MAC799         71
#define GB02MAC801        72

#define GB02MAC806                  26
#define GB02MAC809                   28
#define GB02MAC812                     384

int GB02FUNC489(struct device *dev);
void GB02FUNC282(int num, struct GB02STR88 *i2s_cinfo);
void GB02FUNC318(int dp_num, struct GB02STR88 *i2s_cinfo);
u32 GB02FUNC419(struct snd_pcm_runtime *runtime, u64 pos);
#ifdef AUDIO_SOUND_SWITCH_DIFF_A
int GB02FUNC370(struct snd_pcm_substream *substream, int cmd);
#endif
void GB02FUNC482(struct GB02STR83 *pcie_info);
#endif
