#!/bin/bash
OLD_MODULE="/lib/modules/$(uname -r)/kernel/kylin/gpu/sietium/genbu02/gb02.ko"
OLD_MODULE_UP="/lib/modules/5.4.18-110-generic/kernel/kylin/gpu/sietium/genbu02/gb02.ko"

if [ -f "$OLD_MODULE" ]; then
    echo "Old module detected: $OLD_MODULE"
    if sudo rm -v "$OLD_MODULE"; then
        echo "Module removed successfully"

        # Update module dependencies
        if sudo depmod -a; then
            echo "Module dependency update completed"
        else
            echo "Dependency update failed with code: $?" >&2
        fi
    else
        echo "Module removal failed with code: $?" >&2
    fi
else
    echo "old module not found $OLD_MODULE"
fi

if [ -f "$OLD_MODULE_UP" ]; then
    echo "Old module detected: $OLD_MODULE_UP"
    if sudo rm -v "$OLD_MODULE_UP"; then
        echo "Module removed successfully"

        # Update module dependencies
        if sudo depmod -a; then
            echo "Module dependency update completed"
        else
            echo "Dependency update failed with code: $?" >&2
        fi
    else
        echo "Module removal failed with code: $?" >&2
    fi
fi
