/**************************************************
* File name: sm2_cipher_error_codes.h
* Author: HAN Wei
* Author's blog: https://blog.csdn.net/henter/
* Date: Dec 9th, 2018
* Description: define error codes used in SM2
    computation functions
**************************************************/

#ifndef HEADER_ERROR_CODES_LIST_OF_SM2_CIPHER_H
  #define HEADER_ERROR_CODES_LIST_OF_SM2_CIPHER_H

#define GB02MAC2126     0x1000
#define GB02MAC2128         0x1001
#define GB02MAC2130     0x1002
#define GB02MAC2131      0x1003
#define GB02MAC2133       0x1004
#define GB02MAC2135   0x1005
#define GB02MAC2136        0x1006
#define GB02MAC2138    0x1007
#define GB02MAC2140      0x1008
#define GB02MAC2142  0x1009
#define GB02MAC2144         0x100a
#define GB02MAC2146       0x100b
#define GB02MAC2148             0x100c

#endif  /* end of HEADER_ERROR_CODES_LIST_OF_SM2_CIPHER_H */