
/*
 * Copyright (C) Xi'an Sietium Electronics Co.Ltd
 *
 * This software is licensed under the terms of the GNU General Public
 * License version 2, as published by the Free Software Foundation, and
 * may be copied, distributed, and modified under those terms.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef __GB_IRQ_H__
#define __GB_IRQ_H__

#include <linux/bitfield.h>
#include <linux/bitmap.h>
#include <linux/delay.h>
#include <linux/dma-mapping.h>
#include <linux/interrupt.h>
#include <linux/io.h>
#include <linux/iopoll.h>
#include <linux/pci.h>

irqreturn_t GB02FUNC834(int irq, void *data);
irqreturn_t GB02FUNC838(struct GB02STR38 *gbdev, u32 status);

irqreturn_t GB02FUNC1354(int irq, void *data);
irqreturn_t GB02FUNC1358(int irq, void *data);
irqreturn_t GB02FUNC1359(int irq, void *data);
void GB02FUNC1351(struct GB02STR38 *gbdev);

irqreturn_t GB02FUNC965(int irq, void *data);
irqreturn_t GB02FUNC962(int irq, void *data);

int GB02FUNC884(struct GB02STR38 *gbdev);
int GB02FUNC894(struct GB02STR38 *gbdev);
void GB02FUNC882(struct GB02STR38 *gbdev);
irqreturn_t GB02FUNC876(int irq, void *data);

void GB02FUNC896(struct GB02STR38 *gbdev);
#endif
