/* SPDX-License-Identifier: GPL-3.0-or-later */
/*
 * Copyright (C) Xi'an Sietium Electronics Co.Ltd
 * This software is licensed under the terms of the GNU General Public
 * License version 2, as published by the Free Software Foundation, and
 * may be copied, distributed, and modified under those terms.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * jessy 20221019 Sietium
 */

#ifndef __VPU_DWL_DEFS_H__
#define __VPU_DWL_DEFS_H__


#define GB02MAC334      31 /* 1 bit  */
#define GB02MAC335        29 /* 2 bits */
#define GB02MAC336       28 /* 1 bit  */
#define GB02MAC338      17 /* 1 bit  */
#define GB02MAC340        16 /* 1 bit  */
#define GB02MAC342      26 /* 2 bits */
#define GB02MAC344       24 /* 2 bits */
#define GB02MAC346 20 /* 1 bits */
#define GB02MAC348       18 /* 2 bits */
#define GB02MAC350        23 /* 1 bit  */
#define GB02MAC352         26 /* 2 bits */
#define GB02MAC354        23 /* 1 bit  */
#define GB02MAC357        24 /* 1 bit  */
#define GB02MAC360       19 /* 1 bit  */
#define GB02MAC363        22 /* 1 bit  */
#define GB02MAC365      16 /* 1 bit  */
#define GB02MAC368      31 /* 1 bit  */
#define GB02MAC371         31 /* 1 bit  */
#define GB02MAC374       26 /* 3 bits */
#define GB02MAC377        29 /* 3 bits */

#define GB02MAC380 31 /* 1 bit */
#define GB02MAC382 30 /* 1 bit */

#define GB02MAC385    0  /* 1 bits */
#define GB02MAC387     1  /* 1 bits */
#define GB02MAC389        2  /* 1 bits */
#define GB02MAC391        17  /* 2 bits */
#define GB02MAC393         3  /* 1 bits */
#define GB02MAC395         28  /* 3 bits */
#define GB02MAC397     8  /* 4 bits */
#define GB02MAC400  12 /* 3 bits */
#define GB02MAC403       16 /* 1 bits */

#define GB02MAC406       1
#define GB02MAC408   (GB02MAC406 * 4)
#define GB02MAC410       2
#define GB02MAC412   (GB02MAC406 * 4)

#define GB02MAC415        60
#define GB02MAC417    (GB02MAC415 * 4)
#define GB02MAC418          50
#define GB02MAC420      (GB02MAC418 * 4)
#define GB02MAC422        54
#define GB02MAC423    (GB02MAC422 * 4)
#define GB02MAC425        56
#define GB02MAC427    (GB02MAC425 * 4)
#define GB02MAC428           23
#define GB02MAC430       (GB02MAC428 * 4)
#define GB02MAC432         260
#define GB02MAC434     (GB02MAC432 * 4)


#define GB02MAC438              0x01
#define GB02MAC441               0x01
#define GB02MAC443          0x20
#define GB02MAC445    0x10
#define GB02MAC447            0x100

/* Legacy from G1 */
#define GB02MAC448          1
#define GB02MAC449      (GB02MAC448 * 4)
#define GB02MAC450           60
#define GB02MAC451       (GB02MAC450 * 4)

#define GB02MAC454           100
#define GB02MAC455       (GB02MAC454 * 4)
#define GB02MAC418          50
#define GB02MAC420      (GB02MAC418 * 4)
#define GB02MAC422        54
#define GB02MAC423    (GB02MAC422 * 4)

/* VC8000D HW build id */
#define GB02MAC460        309
#define GB02MAC461    (GB02MAC460 * 4)

#define GB02MAC462                 0x01
#define GB02MAC463                  0x01
#define GB02MAC464             0x20
#define GB02MAC465       0x10
#define GB02MAC466        0x10
#define GB02MAC467               0x100
#define GB02MAC468                0x100

#endif
